Package org.springframework.security.access.event

# Class AbstractAuthorizationEvent

java.lang.Object
java.util.EventObject
org.springframework.context.ApplicationEvent
org.springframework.security.access.event.AbstractAuthorizationEvent

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `AuthenticationCredentialsNotFoundEvent`, `AuthorizationFailureEvent`, `AuthorizedEvent`, `PublicInvocationEvent`

@Deprecated public abstract class AbstractAuthorizationEvent extends org.springframework.context.ApplicationEvent
Deprecated.
Authorization events have moved. Consider `AuthorizationGrantedEvent` and `AuthorizationDeniedEvent`
Abstract superclass for all security interception related events.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`AbstractAuthorizationEvent(Object secureObject)`
Deprecated.
Construct the event, passing in the secure object being intercepted.

## Method Summary

### Methods inherited from class org.springframework.context.ApplicationEvent

`getTimestamp`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AbstractAuthorizationEvent

public AbstractAuthorizationEvent(Object secureObject)
Deprecated.
Construct the event, passing in the secure object being intercepted.

Parameters:
  `secureObject` - the secure object